Bug 112020 - segfaults when building package
segfaults when building package
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-12 17:13 EST by Bill Nottingham
Modified: 2014-03-16 22:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-01 22:28:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
source rpm that blows up on build (94.07 KB, application/octet-stream)
2003-12-12 17:14 EST, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2003-12-12 17:13:56 EST
Rebuild the attached, and you get:


Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/MAKEDEV-root
Wrote: /usr/src/redhat/RPMS/s390x/MAKEDEV-3.3.9-1.s390x.rpm
free(): invalid pointer 0x441288!
free(): invalid pointer 0x4270f0!
Segmentation fault
Comment 1 Bill Nottingham 2003-12-12 17:14:26 EST
Created attachment 96505 [details]
source rpm that blows up on build
Comment 2 Bill Nottingham 2003-12-12 17:26:32 EST
Wrote: /usr/src/redhat/RPMS/s390x/MAKEDEV-3.3.9-1.s390x.rpm
 
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1077715616 (LWP 10212)]
0x402f0f18 in _int_malloc () from /lib/tls/libc.so.6
(gdb) bt
#0  0x402f0f18 in _int_malloc () from /lib/tls/libc.so.6
#1  0x402f2ba0 in malloc_check () from /lib/tls/libc.so.6
#2  0x402f0872 in calloc () from /lib/tls/libc.so.6
#3  0x4007d706 in saveHardLink (fsm=0x43e8d8) at fsm.c:420
#4  0x4007f8b6 in fsmStage (fsm=0x43e8d8, stage=FSM_INIT) at fsm.c:1602
#5  0x4007fa64 in fsmStage (fsm=0x43e8d8, stage=FSM_PKGBUILD) at
fsm.c:1413
#6  0x4007dc00 in fsmSetup (fsm=0x43e8d8, goal=1077704208, ts=0x47dd60,
    fi=0x4466a0, cfd=0x1, archiveSize=0x7fffb5e8, failedFile=0x7fff9470)
    at fsm.c:559
#7  0x4003ffea in cpio_doio (fdo=0x47dfd0, h=0x403c7610, csa=0x47dfd0,
    fmodeMacro=0x419ed0 "") at pack.c:82
#8  0x400416e4 in writeRPM (hdrp=0x4151b8, pkgidp=0x0,
    fileName=0x4168b8 "/usr/src/redhat/RPMS/s390x/dev-3.3.9-1.s390x.rpm",
    type=0, csa=0x7fffb5e8, passPhrase=0x417758 "", cookie=0x0) at
pack.c:509
#9  0x40041c26 in packageBinaries (spec=0x41d238) at pack.c:833
#10 0x40038782 in buildSpec (ts=0x4, spec=0x41d238, what=2975, test=0)
    at build.c:330
#11 0x00402c74 in ?? ()
#12 0x7fff9110 in ?? ()
(gdb)
Comment 3 Jeff Johnson 2003-12-13 16:39:39 EST
Ick, s390x. Will look soonish.
Comment 4 Jeff Johnson 2004-01-16 13:46:08 EST
Hmmm, valgrind on i686 shows nothing unusual.

And -lefence works fine on s390. Starting to smell a s390 fish ...
Comment 5 Jeff Johnson 2004-03-01 08:51:36 EST
Attached srpm builds on s390x with rpm-4.2.2-0.12.
Comment 6 Bill Nottingham 2004-03-01 22:28:58 EST
Thanks.

Note You need to log in before you can comment on or make changes to this bug.